> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarker-units.md).

# Biomarker Units

Use the `biomarkerUnits` query to retrieve all available units.

### Available Arguments

| Argument | Type   | Description                                                                                            |
| -------- | ------ | ------------------------------------------------------------------------------------------------------ |
| `first`  | Int    | Retrieves the first results from the list.                                                             |
| `last`   | Int    | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `after`  | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `before` | String | See [pagination](https://docs.suggestic.com/graphql/start-here/tutorials-and-walkthroughs/pagination). |
| `id`     | ID     | Id of the biomarker unit.                                                                              |

### Available Fields

| Field Name  | Type     | Description                             |
| ----------- | -------- | --------------------------------------- |
| `id`        | ID       | Id of the biomarker unit.               |
| `name`      | String   | Name of biomarker unit.                 |
| `alias`     | String   | Alternative biomarker name.             |
| `factor`    | Float    | Biomarker unit numeric value.           |
| `createdAt` | datetime | Use the format: `YYYY-MM-DDT hh:mm:ssZ` |
| `updatedAt` | datetime | Use the format: `YYYY-MM-DDT hh:mm:ssZ` |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query {
  biomarkerUnits(first: 2) {
    edges {
      node {
        id
        name
        alias
        factor
        createdAt
        updatedAt
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "biomarkerUnits": {
      "edges": [
        {
          "node": {
            "id": "QmlvbWFya2VyVW5pdDoxNTU=",
            "name": " ",
            "alias": null,
            "factor": 1,
            "createdAt": "2022-11-09T20:52:59.968196+00:00",
            "updatedAt": "2022-11-09T20:52:59.968202+00:00"
          }
        },
        {
          "node": {
            "id": "QmlvbWFya2VyVW5pdDox",
            "name": "%",
            "alias": null,
            "factor": 1,
            "createdAt": "2022-11-09T20:52:59.892962+00:00",
            "updatedAt": "2022-11-09T20:52:59.892968+00:00"
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/lab-tests/biomarker-units.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
